Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.binding
Class JXPathBindingManager

    java.lang.Object
      org.apache.cocoon.forms.binding.JXPathBindingManager

All Implemented Interfaces:
  BindingManager

public class JXPathBindingManager
extends Object
implements BindingManager

JXPathBindingManager provides an implementation of `BindingManager`by usage of the JXPath package .

Version:
  $Id: JXPathBindingManager.java 587759 2007-10-24 03:00:37Z vgritsenko $

Nested Class Summary
`class` | `JXPathBindingManager.Assistant` Assistant Inner class discloses enough features to the created childBindings to recursively This patterns was chosen to prevent Inversion Of Control between this factory and its builder classes (that could be provided by third parties.)

Field Summary
`protected Map` | `bindingBuilders`
`protected DatatypeManager` | `datatypeManager`
`protected LibraryManagerImpl` | `libraryManager`

Fields inherited from interface org.apache.cocoon.forms.binding.BindingManager
`NAMESPACE, ROLE`

Constructor Summary
`JXPathBindingManager()`

Method Summary
`Binding` | `createBinding(Element bindingElement)` Creates a binding from the XML config that is supplied as a DOM tree.
`Binding` | `createBinding(Source source)` Creates a binding from the XML config found at source parameter.
`Binding` | `createBinding(String bindingURI)` Creates a binding from the XML config found at bindingURI parameter.
`JXPathBindingManager.Assistant` | `getBuilderAssistant()`
`void` | `setBindingBuilders(Map bindingBuilders)`
`void` | `setCacheManager(CacheManager cacheManager)`
`void` | `setDatatypeManager(DatatypeManager datatypeManager)`
`void` | `setLibraryManager(LibraryManagerImpl libraryManager)`
`void` | `setParser(org.apache.cocoon.core.xml.SAXParser parser)`
`void` | `setSourceResolver(SourceResolver sourceResolver)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### datatypeManager

    protected DatatypeManager datatypeManager

### bindingBuilders

    protected Map bindingBuilders

### libraryManager

    protected LibraryManagerImpl libraryManager

Constructor Detail

### JXPathBindingManager

    public JXPathBindingManager()

Method Detail

### createBinding

    public Binding createBinding(Source source)
                          throws BindingException

  Description copied from interface: `BindingManager`
  Creates a binding from the XML config found at source parameter. The binding will be cached.

  Specified by:
    `createBinding` in interface `BindingManager`
  Throws:
    `BindingException`

### createBinding

    public Binding createBinding(String bindingURI)
                          throws BindingException

  Description copied from interface: `BindingManager`
  Creates a binding from the XML config found at bindingURI parameter. The binding will be cached.

  Specified by:
    `createBinding` in interface `BindingManager`
  Throws:
    `BindingException`

### createBinding

    public Binding createBinding(Element bindingElement)
                          throws BindingException

  Description copied from interface: `BindingManager`
  Creates a binding from the XML config that is supplied as a DOM tree.

  The specified element must be a fb:context element.

  The binding will not be cached.

  Specified by:
    `createBinding` in interface `BindingManager`
  Throws:
    `BindingException`

### getBuilderAssistant

    public JXPathBindingManager.Assistant getBuilderAssistant()

### setDatatypeManager

    public void setDatatypeManager(DatatypeManager datatypeManager)

### setCacheManager

    public void setCacheManager(CacheManager cacheManager)

### setBindingBuilders

    public void setBindingBuilders(Map bindingBuilders)

### setParser

    public void setParser(org.apache.cocoon.core.xml.SAXParser parser)

### setLibraryManager

    public void setLibraryManager(LibraryManagerImpl libraryManager)

### setSourceResolver

    public void setSourceResolver(SourceResolver sourceResolver)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.